Bug Hunting Session
Bug 41281 - FILESAVE: Unable to save underline text to HTML
Summary: FILESAVE: Unable to save underline text to HTML
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
: 41280 (view as bug list)
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2011-09-27 22:02 UTC by Sergey
Modified: 2019-10-10 02:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
SCREENSHOT (5.72 KB, application/zip)
2011-09-27 22:03 UTC, Sergey
Details
SCREENSHOT (5.72 KB, application/zip)
2011-09-27 22:03 UTC, Sergey
Details
Confirm and extended test (7.26 KB, application/zip)
2011-09-29 02:16 UTC, Alastair Rae
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey 2011-09-27 22:02:36 UTC
Problem description: 
If some part of text at cell have underlining then underlining will be lost when save to HTML
Steps to reproduce:
1. Create  spreadsheet
2. Print some text and underline part of it
3. Save as document HTML

Current behavior:
Underlining is lost

Expected behavior:
Some part of text must be underlined
Comment 1 Sergey 2011-09-27 22:03:22 UTC
Created attachment 51699 [details]
SCREENSHOT

SCREENSHOT COMMENT
Comment 2 Sergey 2011-09-27 22:03:53 UTC
Created attachment 51700 [details]
SCREENSHOT

SCREENSHOT COMMENT
Comment 3 Alastair Rae 2011-09-29 01:54:10 UTC
*** Bug 41280 has been marked as a duplicate of this bug. ***
Comment 4 Alastair Rae 2011-09-29 02:16:31 UTC
Created attachment 51745 [details]
Confirm and extended test

Confirmed for underline, italic and bold. Whole cell formatting is output correctly but partial formatting is ignored.
Comment 5 Wagner Macedo 2013-08-05 01:55:19 UTC
What is the supposed difference between "Save as Document HTML (Calc)" and "Export to XHTML"?

At my tests using LibreOffice 4.1, I still confirm the bug, using the former. But in the latter way, it is working.
Comment 6 Wagner Macedo 2013-08-06 18:47:25 UTC
(In reply to comment #5)
> What is the supposed difference between "Save as Document HTML (Calc)" and
> "Export to XHTML"?
> 
> At my tests using LibreOffice 4.1, I still confirm the bug, using the
> former. But in the latter way, it is working.

My questions were already answered in the list, http://lists.freedesktop.org/archives/libreoffice/2013-August/054989.html
Comment 7 Wagner Macedo 2013-12-17 11:54:58 UTC
Sorry, but I removed my name from assignee list. I'm lacking of time to work at even this (appearing) simple bug.
Comment 8 Joel Madero 2014-02-27 23:03:46 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 9 Robinson Tryon (qubit) 2015-12-13 11:21:42 UTC Comment hidden (obsolete)
Comment 10 Sergey 2016-05-07 21:26:20 UTC
Bug still present.
LibreOffice Version: 5.1.1.3
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: ru-RU (ru_RU)
Comment 11 QA Administrators 2017-05-22 13:41:16 UTC Comment hidden (obsolete)
Comment 12 Thomas Lendo 2018-10-09 07:22:33 UTC
Still reproducible with File > Save (NOT with File > Export).

Version: 6.2.0.0.alpha0+ (x64)
Build ID: e46f8a9a4e3c5b0542c0813b476b449f3af8d607
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-07_23:36:50
Locale: de-AT (de_AT); Calc: CL
Comment 13 QA Administrators 2019-10-10 02:40:03 UTC
Dear Sergey,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug